Bug 1811178 - Include llvm 10 instead of llvm 9 on F32 Beta media
Summary: Include llvm 10 instead of llvm 9 on F32 Beta media
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-06 18:51 UTC by Kalev Lember
Modified: 2020-03-16 20:34 UTC (History)
13 users (show)

Fixed In Version: mesa-20.0.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:34:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Kalev Lember 2020-03-06 18:51:39 UTC
Filing this purely for F32 Beta Freeze Exception consideration:

Should the Beta release media include a mesa rebuild that's built against new llvm 10 instead of compat llvm9.0-libs to make sure new llvm 10 gets some testing?

I don't have a strong opinion myself, just filing it in case people would like to see it in Beta.

https://bodhi.fedoraproject.org/updates/FEDORA-2020-d424e2bc67

Comment 1 Fedora Update System 2020-03-06 18:52:41 UTC
FEDORA-2020-d424e2bc67 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d424e2bc67

Comment 2 Adam Williamson 2020-03-07 18:58:34 UTC
If the only reason is to 'get some testing', I'd be -1. People will get it on first update of an installed system anyway. Do we know if there's an impact on media size each way? Do we currently have both 9 and 10 on the media?

Comment 3 Kalev Lember 2020-03-08 04:10:40 UTC
No, we don't install both right now. Workstation iso only has llvm9.0-libs.

The size of llvm9.0-libs and llvm-libs (10) is pretty much the same (20 MB vs 21 MB), so I'd say the media impact is negligible.

Comment 4 Adam Williamson 2020-03-09 15:54:00 UTC
OK, the scenario I'm concerned about is one where *both* libraries end up in a default package set. So if we currently only have llvm9.0-libs in a Workstation install, I guess the question is whether we'd wind up with both in a Workstation install if we rebuilt mesa, or just 10, i.e. does Workstation contain anything else which is still built against 9?

Still, either way I think I'm probably -1 FE for it at this point, we're getting pretty close to release now, and people will get the new mesa on first update after install anyway so it'll get plenty of testing that way.

Comment 5 Kalev Lember 2020-03-09 16:01:48 UTC
No, nothing else, just mesa that pulls it in.

Comment 6 Geoffrey Marr 2020-03-10 01:02:49 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to classify this bug as a "RejectedFreezeException" was made as we don't think there's a strong enough justification to include this and think it'd make more sense for it just to go out as a regular update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 7 Fedora Update System 2020-03-16 20:34:44 UTC
mesa-20.0.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.